plugins {
    id 'com.android.application'
}

android {
    namespace 'com.grigowashere.aismap'
    compileSdk 35

    defaultConfig {
        applicationId "com.grigowashere.aismap"
        minSdk 30
        targetSdk 35
        versionCode 1
        versionName "1.0"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_11
        targetCompatibility JavaVersion.VERSION_11
    }
}

dependencies {
    implementation libs.appcompat
    implementation libs.material
    implementation libs.activity
    implementation libs.constraintlayout
    implementation 'androidx.appcompat:appcompat:1.6.1'
    implementation 'com.google.android.material:material:1.11.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.1.4'
    
    // Яндекс.Карты
    implementation 'com.yandex.android:maps.mobile:4.4.0-full'

    implementation group: 'org.mapsforge', name: 'mapsforge-map-android', version: '0.25.0'
    implementation group: 'org.mapsforge', name: 'mapsforge-themes', version: '0.25.0'
    implementation group: 'org.mapsforge', name: 'mapsforge-map', version: '0.25.0'
    implementation group: 'org.mapsforge', name: 'mapsforge-map-reader', version: '0.25.0'
    implementation group: 'org.mapsforge', name: 'mapsforge-core', version: '0.25.0'
    
    // Room
    implementation "androidx.room:room-runtime:2.6.1"
    annotationProcessor "androidx.room:room-compiler:2.6.1"
    // Lifecycle (для сервисов/репозитория при необходимости)
    implementation 'androidx.lifecycle:lifecycle-runtime:2.8.3'
    implementation 'androidx.lifecycle:lifecycle-livedata:2.8.3'

    // MapLibre GL Android SDK (используем только один артефакт, без плагина аннотаций)
    implementation group: 'org.maplibre.gl', name: 'android-sdk-opengl', version: '11.13.5'

    // Тестирование
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.5'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.5.1'
}